[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpms/bittorrent/devel btseed.init,1.2,1.3



Author: pghmcfc

Update of /cvs/extras/rpms/bittorrent/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv31593

Modified Files:
	btseed.init 
Log Message:
Improve backgrounding behaviour in initscripts



Index: btseed.init
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/devel/btseed.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- btseed.init	2 Jun 2005 11:57:13 -0000	1.2
+++ btseed.init	2 Jun 2005 14:26:47 -0000	1.3
@@ -31,9 +31,10 @@
 case "$1" in
   start)
 	echo -n $"Starting BitTorrent seed client: "
-	# still sub-optimal startup: does not detach properly from terminal
-	(runuser -s /bin/sh -c "$prog $OPTIONS $DIR"  $btuser > $SEEDLOG 2>&1 &) &&
-		echo_success || echo_failure
+	runuser -s /bin/sh -c "$prog $OPTIONS $DIR" $btuser &> $SEEDLOG &
+	disown -ar
+	usleep 500000
+	status btlaunchmany.py &> /dev/null && echo_success || echo_failure
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/btlaunchmany.py
 	echo


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]